### robocode

# Class HitWallEvent

- `java.lang.Object`
- - `robocode.Event`
  - - `robocode.HitWallEvent`

Implemented Interfaces:
  Comparable, Serializable

`public final class HitWallEvent`
`extends Event`

A HitWallEvent is sent to `onHitWall()` when you collide a wall. You can use the information contained in this event to determine what to do.

Author:
  Mathew A. Nelson (original)

  ## Constructor Summary

  `HitWallEvent(double bearing)`
    Called by the game to create a new HitWallEvent.

  ## Method Summary

  `@Deprecated`

  `double getBearingDegrees()`
    Deprecated. Use `getBearing()` instead.

  `double`

  `getBearing()`
    Returns the bearing to the wall you hit, relative to your robot's heading, in degrees (-180 <= getBearing() <32180)

  `double`

  `getBearingRadians()`
    Returns the bearing to the wall you hit, relative to your robot's heading, in radians (-PI <= getBearingRadians() <32PI)

  ### Methods inherited from class robocode.Event

  `compareTo`, `getPriority`, `getTime`

## Constructor Details

### HitWallEvent

    public HitWallEvent(double bearing)

> Called by the game to create a new HitWallEvent.
> Parameters:
>   `bearing` - the bearing to the wall that your robot hit, in radians

## Method Details

### double getBearingDegrees

    public @Deprecated double getBearingDegrees()

> Deprecated. Use `getBearing()` instead.

> Returns:
>   the bearing to the wall you hit, in degrees

### getBearing

    public double getBearing()

> Returns the bearing to the wall you hit, relative to your robot's heading, in degrees (-180 <= getBearing() <32180)
> Returns:
>   the bearing to the wall you hit, in degrees

### getBearingRadians

    public double getBearingRadians()

> Returns the bearing to the wall you hit, relative to your robot's heading, in radians (-PI <= getBearingRadians() <32PI)
> Returns:
>   the bearing to the wall you hit, in radians